docs: commit release notes for 1.18 (#11396)

pull/11400/head
Andrey Lushnikov 7 months ago committed by GitHub
parent f77236ec61
commit 573d9fea06
No known key found for this signature in database
GPG Key ID: 4AEE18F83AFDEB23
  1. 60
      docs/src/release-notes-js.md
  2. 18
      package-lock.json

@ -5,6 +5,66 @@ title: "Release notes"
<!-- TOC -->
## Version 1.18
### Locator Improvements
- [`method: Locator.dragTo`]
- [`expect(locator).toBeChecked({ checked })`](./api/class-locatorassertions#locator-assertions-to-be-checked)
- Each locator can now be optionally filtered by the text it contains: [`locator('button', { hasText: 'Submit' })`](./api/class-locator#locator-locator-option-has-text)
### Testing API improvements
- [`expect(response).toBeOK()`](./api/class-apiresponseassertions)
- [`testInfo.attach()`](./api/class-testinfo#test-info-attach)
- [`test.info()`](./api/class-test#test-info)
### Improved TypeScript Support
1. Playwright Test now respects `tsconfig.json`'s [`baseUrl`](https://www.typescriptlang.org/tsconfig#baseUrl) and [`paths`](https://www.typescriptlang.org/tsconfig#paths), so you can use aliases
1. There is a new environment variable `PW_EXPERIMENTAL_TS_ESM` that allows importing ESM modules in your TS code, without the need for the compile step. Don't forget the `.js` suffix when you are importing your esm modules. Run your tests as follows:
```bash
npm i --save-dev @playwright/test@1.18.0-rc1
PW_EXPERIMENTAL_TS_ESM=1 npx playwright test
```
### Testing Scenarios Cookbook
We now have a testing scenarios cookbook! Check out http://aka.ms/playwright/samples
Feel free to file an issue to that repo if something is missing.
### Create Playwright
The `npm init playwright` command is now generally available for your use:
```sh
# Run from your project's root directory
npm init playwright
# Or create a new project
npm init playwright new-project
```
This will create a Playwright Test configuration file, optionally add examples, a GitHub Action workflow and a first test `example.spec.ts`.
### New APIs & changes
- new [`testCase.repeatEachIndex`](./api/class-testcase#test-case-repeat-each-index) API
- new [option fixtures](./test-fixtures#fixtures-options)
- [`acceptDownloads`](./api/class-browser#browser-new-context-option-accept-downloads) option now defaults to `true`
### Browser Versions
- Chromium 99.0.4812.0
- Mozilla Firefox 95.0
- WebKit 15.4
This version was also tested against the following stable channels:
- Google Chrome 97
- Microsoft Edge 97
## Version 1.17
### Frame Locators

18
package-lock.json generated

@ -9055,7 +9055,7 @@
"hasInstallScript": true,
"license": "Apache-2.0",
"dependencies": {
"playwright-core": "=1.18.0-next"
"playwright-core": "=1.19.0-next"
},
"bin": {
"playwright": "cli.js"
@ -9069,7 +9069,7 @@
"hasInstallScript": true,
"license": "Apache-2.0",
"dependencies": {
"playwright-core": "=1.18.0-next"
"playwright-core": "=1.19.0-next"
},
"bin": {
"playwright": "cli.js"
@ -9119,7 +9119,7 @@
"hasInstallScript": true,
"license": "Apache-2.0",
"dependencies": {
"playwright-core": "=1.18.0-next"
"playwright-core": "=1.19.0-next"
},
"bin": {
"playwright": "cli.js"
@ -9208,7 +9208,7 @@
"hasInstallScript": true,
"license": "Apache-2.0",
"dependencies": {
"playwright-core": "=1.18.0-next"
"playwright-core": "=1.19.0-next"
},
"bin": {
"playwright": "cli.js"
@ -9979,7 +9979,7 @@
"open": "^8.3.0",
"pirates": "^4.0.1",
"pixelmatch": "^5.2.1",
"playwright-core": "=1.18.0-next",
"playwright-core": "=1.19.0-next",
"pngjs": "^5.0.0",
"rimraf": "^3.0.2",
"source-map-support": "^0.4.18",
@ -14406,13 +14406,13 @@
"playwright": {
"version": "file:packages/playwright",
"requires": {
"playwright-core": "=1.18.0-next"
"playwright-core": "=1.19.0-next"
}
},
"playwright-chromium": {
"version": "file:packages/playwright-chromium",
"requires": {
"playwright-core": "=1.18.0-next"
"playwright-core": "=1.19.0-next"
}
},
"playwright-core": {
@ -14446,13 +14446,13 @@
"playwright-firefox": {
"version": "file:packages/playwright-firefox",
"requires": {
"playwright-core": "=1.18.0-next"
"playwright-core": "=1.19.0-next"
}
},
"playwright-webkit": {
"version": "file:packages/playwright-webkit",
"requires": {
"playwright-core": "=1.18.0-next"
"playwright-core": "=1.19.0-next"
}
},
"pngjs": {

Loading…
Cancel
Save